Subject: Re: [TOOLS-DEVELOPMENT] Tools call notes 2020-02-11

From: Russ Housley <[email-masked]>
Date: Mon, 16 Mar 2020 17:12:34 -0400

Liz:

For the call tomorrow, please sent the note to the whole list, not just me.

Russ

> On Feb 11, 2020, at 3:00 PM, Liz Flynn <[email-masked]> wrote:
> 
> Tools Call Notes
> February 11, 2020
> 
> 
> 1. Datatracker Projects
>  - Expected Datatracker Releases -- Robert and Henrik
>    -- https://trac.tools.ietf.org/tools/ietfdb/browser/trunk/PLAN
> 
> The plan was updated to increase the priority order of mail and transitioning to Django 2; 1.11 is going out of maintenance in April. 
> 
>  - Meeting application improvements by IOLA -- Robert
> 
> Not gotten responses from their primary developer for a couple of weeks; Robert is continuing to poke. 
> 
>  - Automated schedule builder by DashCare -- Robert
> 
> Part one is expected to be done by the end of the month.
> 
>  - Minor Tools Enhancements by Painless Security -- Robert
> 
> We gave them three tasks to help them learn the Datatracker code and they've finished two. Minor enhancements have started and are looking really good.
> 
> 
> 
> 2. Community & Other Projects
>  - WWW search to provide additional pointers -- Greg
> 
> The issue here is to get a bridge built across the website, datatracker and mail archive. Two of the three are in place and Greg and Ryan have talked about the mail archive, which is the third. Expecting that will come in with the Python 3 version of the mail archive.
> 
> 
>  - Host third-party subresources on mailarchive -- Ryan
> 
> This will be fixed when we do the server migration. 
> 
> 
> 
> 3. RFC Services Projects
>  - Are tools issues blocking any documents? -- John and Henrik
> 
> Alice: There's one document in TI state; author approvals were racing against the next release. It's a fairly minor issue in PDF and it's a ticket. Henrik is aware. 
> 
> Henrik: I'm trying to keep to one release per week. I'll try to deal with this in this week's release for XMLtoRFC. 
> 
> Alice: That's fine. Our primary goal is just to keep the author informed. Also thanks to Henrik and Glen for working on a software library update that allowed XMLtoRFC to run on Python 3.6 which allowed two documents that had been held to be published. 
> 
> Alissa: Just a question about the TI state. Is that in the FAQ? I had an author who was surprised to find his document in a new state. 
> 
> Alice: It was announced as part of the move to v3 and it's described in the automatic email when the state changes.
> 
> 
>  - Security Review of RPC Tools -- Robert and Jay
> 
> Russ: The RFP is out right now with bids due by March 4. The tools team will put together a group to review those and I'm hoping the same team who did this at the end of last year is willing to continue; please drop a note to Russ if you're not. 
> 
> John: Do you think it's likely to get better bids this time?
> 
> Russ: We have at least one who's told us they will. 
> 
> Jay: We've done some outreach to different people. In future I'm investigating some standard RFP publication services to ensure maximum outreach. 
> 
> 
> 
> 4. Server Infrastructure
> 
>  - Deployment of Python3 -- Robert
> 
> This has been subsumed by server migration. We attempted migrating to the new server in mid January. It looked promising until we had a script that had a Python2/Python3 shortcoming. We rolled back while we investigated and made sure there wasn't some other issue. We're ready to move forward again, just looking for an appropriate date. Current planned date for the server transition is Feb 24. There were no objections to this date on the call.
> 
> 
>  - Expected Website Releases -- Robert
> 
> Robert: I should have a minor release out today or tomorrow. A major revision removing broken Datatracker integration has hit a snag and may take a few more days to finish building. That will go through a round of testing with Greg on the staging site before we actually deploy it to production since it's a fairly major change to Wagtail. 
> 
> 
>  - DMARC support for email aliases -- Henrik and Alexey
> 
> Last time we decided not to count on OpenARC. But we need to add support for email aliases such as the ones for draft authors. That work is slated to start after the server migration. 
> 
> 
> 
> 5. YANG Catalog
>  - Tasks in Priority order:
>    -- Posting YANG modules by other SDOs -- Eric and Robert
>    -- Putting yangcatalog.org in a Docker container -- Robert
>    -- Upgrade the operating system on the server -- Robert
> 
> Robert: We are not making progress on the second two. I need to have a focused conversation with Eric. I'd like to raise a minor point that we might try moving this call to a different time so it's more likely we can get Eric? 
> 
> Alissa: Later in the evening might be better for him so he's not in transit. But on vacation this week. 
> 
> Robert: I'll start conversation by email. 
> 
> 
> 
> 
> 6. Parking Lot
>  - Search over www, datatracker, and mailarchive
>  - Transition Datatracker to Django2 and then Django3
>  - Transition Mailarchive to Django2 and then Django3
>  - Transition Wagtail for IETF website to Django2 and then Django3
> 
> 
> 7. AOB
> 
>  - Status updates on tickets -- Jay
> 
> Jay: People have been asking me about tickets and not knowing where they're going. Tickets come in with "new" and stay that way for a long time. Robert and I discussed this yesterday and came up with a simple solution; we'll add two new statuses to Trac that let people understand where their tickets are: one to say 'this ticket is now being examined/looked at' and one 'Accepted' -- which is to say that it will be planned and put into the queue. I think that will give people a better understanding of what's happening to their tickets. Wording suggestions?
> 
> Russ: I'd call the first one "investigation."
> 
> Alissa: For documents we use "in review" so that would be familiar to people. 
> 
> Jay: There are a number of other things I'm beginning to get my head around. Another thing is a proliferation of Trac instances that are not used; I want to get some data on those and talk to the IESG about how to start to decommission those. That's the kind of thing I'll be looking at. 
> 
> Roman: If we have a list of Trac instances I'm happy to work with ADs and WG chairs to figure out what to do with them; I'll just need a list. 
> 
> There should be one per WG but some may have two; the issue is that there may still be some places where the instance at tools.ietf.org may still be exposed. Need to make sure those are redirecting. 
> 
> Henrik: There should not be any WG Trac instances on tools anymore. It's a bug if there are. 
> 
> Robert: We'll continue discussing this. 
> 
>  - Reminder about monthly call
> 
> Robert: Reminder on why we have this particular monthly call. For lots of the time it's just keeping an eye on status. The reason for doing so is to avoid surprises when the different parts of the team might be anticipating making a change that might be affected by a change another group is making and we step on toes. If everyone that's involved could approach the call with that in mind and think about small things that we're doing in RPC or Datatracker or server operations, and letting the other parts of the group know they're in progress, to increase the probability that we'll know earlier rather than later if two parts are clashing.